Subject: Re: bug#54242: Emacs can't display animated webp images

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 10 Apr 2022 13:12:39 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I now just have to program up the more subtle bits of how animated
> frames are to be combined, and we should be OK.

I had to reimplement it a different way and with a different cache, and
now it works and the performance seems OK.

I've tried to get the Windows DLL stuff right for the Windows, but I
don't have a Windows VM to test with at the moment.  Eli, can you check
whether the trunk compiles, and if not, do the necessary adjustments if
I've forgotten some of the DEF_DLL_FN things for the new functions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no